Help us understand the problem. What is going on with this article?

nodenv経由でインストールしたnodeにyarnをインストール

タイトルのとおりです

nodenv-yarn-installを使って、yarnを.nodenv/plugins以下にインストールします。

フォルダがなければ以下のコマンドを実行して作成(もともとあれば必要ありません)

mkdir -p "$(nodenv root)/plugins"

その後、nodenv-yarn-installをそのフォルダの中にダウンロード

$ git clone https://github.com/pine/nodenv-yarn-install.git "$(nodenv root)/plugins/nodenv-yarn-install"

このプラグインはあくまでnodenv経由でnodeをインストールしたときに、一緒にyarnもインストールするというものなので、この時点ではyarnはインストールされていません。
なので、すでにnodeがnodenv経由でインストールされている場合は、他のバージョンをインストールするか今のバージョンを再インストールします。今回は後者でやります。

以下のコマンドを実行。(.nodenv/plugins以下にnode-buildというプラグインがなければエラーが出るかも)

nodenv uninstall 11.11.0
nodenv install 11.11.0

すると、nodeのあとに自動的にyarnがインストールされます。

確認

yarn -v
1.13.0

which yarn
/Users/[USER_NAME]/.nodenv/shims/yarn
Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away
Comments
Sign up for free and join this conversation.
If you already have a Qiita account
Why do not you register as a user and use Qiita more conveniently?
You need to log in to use this function. Qiita can be used more conveniently after logging in.
You seem to be reading articles frequently this month. Qiita can be used more conveniently after logging in.
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away